import { OnInit, OnDestroy } from '@angular/core';
import { AutocompleteService } from '../autocomplete.service';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class AutocompleteComponent implements OnInit, OnDestroy {
    private autocompleteService;
    showBookmarks: any;
    showAutocomplete: any;
    input_length: number;
    suggestions: any;
    subscription: Subscription;
    constructor(autocompleteService: AutocompleteService);
    ngOnInit(): void;
    suggestionOnClick(event: any, item: any): void;
    ngOnDestroy(): void;
    closeSuggestion(): void;
    static ɵfac: i0.ɵɵFactoryDef<AutocompleteComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<AutocompleteComponent, "ins-autocomplete", never, { "showBookmarks": "showBookmarks"; "showAutocomplete": "showAutocomplete"; }, {}, never, ["*"]>;
}
